I need a little help here. The following routine will do what it should, combine two MTEXT strings, the first time I run it. But, when I try to run it again to combine another MTEXT string with the previously combined MTEXT a portion of the second MTEXT gets deleted. Thanks, (defun c:mmt (/ first delete second delete1 mtx1 mtx2 mtx ed) (prompt " To merge two MTEXT entities") (setq first (entget (car(entsel" Select first MTEXT entity: ")))) (if (= first nil)(exit)) (setq delete1(cdr(assoc -1 first))) (redraw delete1 3) (setq second (entget (car(entsel" Select second MTEXT entity: ")))) (if (= second nil)(exit)) (setq delete (cdr(assoc -1 second))) (redraw delete 3) (setq mtx1 (cdr (assoc 1 first))) (setq mtx2 (cdr (assoc 1 second))) (setq mtx (strcat mtx1 "\P" mtx2)) (command "erase" delete delete1 "") (setq ed first) (setq ed (subst (cons 1 mtx) (assoc 1 ed) ed ) ) (entmake ed) (princ) )